diff --git a/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py b/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py
index 67127e5..e2d6d44 100644
--- a/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py
+++ b/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py
@@ -20,6 +20,7 @@ from lib389.tools import DirSrvTools
 from lib389._constants import *
 from lib389.properties import *
 
+logging.getLogger(__name__).setLevel(logging.INFO)
 log = logging.getLogger(__name__)
 
 CONFIG_DN = 'cn=config'
@@ -37,63 +38,23 @@ TEMP_USER = 'cn=test{}'
 TEMP_USER_DN = '%s,%s' % (TEMP_USER, OU_PEOPLE)
 
 
-
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    """This fixture is used to standalone topology for the 'module'."""
-    standalone = DirSrv(verbose=False)
-
-    # Args for the standalone instance
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-
-    # Get the status of the instance and restart it if it exists
-    instance_standalone = standalone.exists()
-
-    # Remove the instance
-    if instance_standalone:
-        standalone.delete()
-
-    # Create the instance
-    standalone.create()
-
-    # Used to retrieve configuration information (dbdir, confdir...)
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    # Here we have standalone instance up and running
-    return TopologyStandalone(standalone)
-
-
 @pytest.fixture(scope="module")
-def test_user(topology, request):
+def test_user(topology_st, request):
     """User for binding operation"""
 
     log.info('Adding user {}'.format(BN))
     try:
-        topology.standalone.add_s(Entry((BN,
-                                        {'objectclass': ['top',
-                                                         'person',
-                                                         'organizationalPerson',
-                                                         'inetOrgPerson'],
-                                        'cn': 'bind user',
-                                        'sn': 'bind user',
-                                        'userPassword': PASSWORD})))
+        topology_st.standalone.add_s(Entry((BN,
+                                            {'objectclass': ['top',
+                                                             'person',
+                                                             'organizationalPerson',
+                                                             'inetOrgPerson'],
+                                             'cn': 'bind user',
+                                             'sn': 'bind user',
+                                             'userPassword': PASSWORD})))
         log.info('Adding an aci for the bind user')
         BN_ACI = '(targetattr="*")(version 3.0; acl "pwp test"; allow (all) userdn="ldap:///%s";)' % BN
-        topology.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_ADD, 'aci', BN_ACI)])
+        topology_st.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_ADD, 'aci', BN_ACI)])
 
     except ldap.LDAPError as e:
         log.error('Failed to add user (%s): error (%s)' % (BN,
@@ -102,13 +63,14 @@ def test_user(topology, request):
 
     def fin():
         log.info('Deleting user {}'.format(BN))
-        topology.standalone.delete_s(BN)
-        topology.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_DELETE, 'aci', BN_ACI)])
+        topology_st.standalone.delete_s(BN)
+        topology_st.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_DELETE, 'aci', BN_ACI)])
+
     request.addfinalizer(fin)
 
 
 @pytest.fixture(scope="module")
-def password_policy(topology, test_user):
+def password_policy(topology_st, test_user):
     """Set global password policy.
     Then, set fine-grained subtree level password policy
     to ou=People with no password syntax.
@@ -118,9 +80,9 @@ def password_policy(topology, test_user):
 
     log.info('Enable fine-grained policy')
     try:
-        topology.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE,
-                                                  'nsslapd-pwpolicy-local',
-                                                  'on')])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE,
+                                                     'nsslapd-pwpolicy-local',
+                                                     'on')])
     except ldap.LDAPError as e:
         log.error('Failed to set fine-grained policy: error {}'.format(
             e.message['desc']))
@@ -128,7 +90,7 @@ def password_policy(topology, test_user):
 
     log.info('Create password policy for subtree {}'.format(OU_PEOPLE))
     try:
-        subprocess.call(['%s/ns-newpwpolicy.pl' % topology.standalone.get_sbin_dir(),
+        subprocess.call(['%s/ns-newpwpolicy.pl' % topology_st.standalone.get_sbin_dir(),
                          '-D', DN_DM, '-w', PASSWORD,
                          '-p', str(PORT_STANDALONE), '-h', HOST_STANDALONE,
                          '-S', OU_PEOPLE, '-Z', SERVERID_STANDALONE])
@@ -139,32 +101,32 @@ def password_policy(topology, test_user):
 
     log.info('Add pwdpolicysubentry attribute to {}'.format(OU_PEOPLE))
     try:
-        topology.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_REPLACE,
-                                                  'pwdpolicysubentry',
-                                                  PWP_CONTAINER_PEOPLE)])
+        topology_st.standalone.modify_s(OU_PEOPLE, [(ldap.MOD_REPLACE,
+                                                     'pwdpolicysubentry',
+                                                     PWP_CONTAINER_PEOPLE)])
     except ldap.LDAPError as e:
-        log.error('Failed to pwdpolicysubentry pw policy '\
+        log.error('Failed to pwdpolicysubentry pw policy ' \
                   'policy for {}: error {}'.format(OU_PEOPLE,
                                                    e.message['desc']))
         raise e
 
     log.info("Set the default settings for the policy container.")
-    topology.standalone.modify_s(PWP_CONTAINER_PEOPLE,
-                                 [(ldap.MOD_REPLACE, 'passwordMustChange', 'off'),
-                                  (ldap.MOD_REPLACE, 'passwordExp', 'off'),
-                                  (ldap.MOD_REPLACE, 'passwordMinAge', '0'),
-                                  (ldap.MOD_REPLACE, 'passwordChange', 'off'),
-                                  (ldap.MOD_REPLACE, 'passwordStorageScheme', 'ssha')])
+    topology_st.standalone.modify_s(PWP_CONTAINER_PEOPLE,
+                                    [(ldap.MOD_REPLACE, 'passwordMustChange', 'off'),
+                                     (ldap.MOD_REPLACE, 'passwordExp', 'off'),
+                                     (ldap.MOD_REPLACE, 'passwordMinAge', '0'),
+                                     (ldap.MOD_REPLACE, 'passwordChange', 'off'),
+                                     (ldap.MOD_REPLACE, 'passwordStorageScheme', 'ssha')])
 
-    check_attr_val(topology, CONFIG_DN, ATTR_INHERIT_GLOBAL, 'off')
-    check_attr_val(topology, CONFIG_DN, ATTR_CHECK_SYNTAX, 'off')
+    check_attr_val(topology_st, CONFIG_DN, ATTR_INHERIT_GLOBAL, 'off')
+    check_attr_val(topology_st, CONFIG_DN, ATTR_CHECK_SYNTAX, 'off')
 
 
-def check_attr_val(topology, dn, attr, expected):
+def check_attr_val(topology_st, dn, attr, expected):
     """Check that entry has the value"""
 
     try:
-        centry = topology.standalone.search_s(dn, ldap.SCOPE_BASE, 'cn=*')
+        centry = topology_st.standalone.search_s(dn, ldap.SCOPE_BASE, 'cn=*')
         assert centry[0], 'Failed to get %s' % dn
 
         val = centry[0].getValue(attr)
@@ -179,7 +141,7 @@ def check_attr_val(topology, dn, attr, expected):
 
 @pytest.mark.parametrize('inherit_value,checksyntax_value',
                          [('off', 'off'), ('on', 'off'), ('off', 'on')])
-def test_entry_has_no_restrictions(topology, password_policy, test_user,
+def test_entry_has_no_restrictions(topology_st, password_policy, test_user,
                                    inherit_value, checksyntax_value):
     """Make sure an entry added to ou=people
     has no password syntax restrictions when:
@@ -206,47 +168,47 @@ def test_entry_has_no_restrictions(topology, password_policy, test_user,
 
     log.info('Set {} to {}'.format(ATTR_INHERIT_GLOBAL, inherit_value))
     log.info('Set {} to {}'.format(ATTR_CHECK_SYNTAX, checksyntax_value))
-    topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
-                                              ATTR_INHERIT_GLOBAL, inherit_value)])
-    topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
-                                              ATTR_CHECK_SYNTAX, checksyntax_value)])
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
+                                                 ATTR_INHERIT_GLOBAL, inherit_value)])
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
+                                                 ATTR_CHECK_SYNTAX, checksyntax_value)])
 
     # Wait a second for cn=config to apply
     time.sleep(1)
-    check_attr_val(topology, CONFIG_DN, ATTR_INHERIT_GLOBAL, inherit_value)
-    check_attr_val(topology, CONFIG_DN, ATTR_CHECK_SYNTAX, checksyntax_value)
+    check_attr_val(topology_st, CONFIG_DN, ATTR_INHERIT_GLOBAL, inherit_value)
+    check_attr_val(topology_st, CONFIG_DN, ATTR_CHECK_SYNTAX, checksyntax_value)
 
     log.info('Bind as test user')
-    topology.standalone.simple_bind_s(BN, PASSWORD)
+    topology_st.standalone.simple_bind_s(BN, PASSWORD)
 
     log.info('Make sure an entry added to ou=people has '
              'no password syntax restrictions.')
     try:
-        topology.standalone.add_s(Entry((TEMP_USER_DN.format('0'),
-                                         {'objectclass': ['top',
-                                                          'person',
-                                                          'organizationalPerson',
-                                                          'inetOrgPerson'],
-                                          'cn': TEMP_USER.format('0'),
-                                          'sn': TEMP_USER.format('0'),
-                                          'userPassword': 'short'})))
+        topology_st.standalone.add_s(Entry((TEMP_USER_DN.format('0'),
+                                            {'objectclass': ['top',
+                                                             'person',
+                                                             'organizationalPerson',
+                                                             'inetOrgPerson'],
+                                             'cn': TEMP_USER.format('0'),
+                                             'sn': TEMP_USER.format('0'),
+                                             'userPassword': 'short'})))
     except ldap.LDAPError as e:
         log.fatal('Failed to add cn=test0 with userPassword: short: ' +
                   e.message['desc'])
         raise e
     finally:
         log.info('Bind as DM user')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         log.info('Remove {}'.format(TEMP_USER_DN.format('0')))
         try:
-            topology.standalone.delete_s(TEMP_USER_DN.format('0'))
+            topology_st.standalone.delete_s(TEMP_USER_DN.format('0'))
         except ldap.NO_SUCH_OBJECT as e:
             log.fatal('There is no {}, it is a problem'.format(TEMP_USER_DN.format('0')))
             raise e
 
 
 @pytest.mark.parametrize('container', [DN_CONFIG, PWP_CONTAINER_PEOPLE])
-def test_entry_has_restrictions(topology, password_policy, test_user, container):
+def test_entry_has_restrictions(topology_st, password_policy, test_user, container):
     """Set 'nsslapd-pwpolicy-inherit-global: on'
     and 'passwordCheckSyntax: on'. Make sure that
     syntax rules work, if set them at both: cn=config and
@@ -271,56 +233,56 @@ def test_entry_has_restrictions(topology, password_policy, test_user, container)
 
     log.info('Set {} to {}'.format(ATTR_INHERIT_GLOBAL, 'on'))
     log.info('Set {} to {}'.format(ATTR_CHECK_SYNTAX, 'on'))
-    topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
-                                              ATTR_INHERIT_GLOBAL, 'on')])
-    topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
-                                              ATTR_CHECK_SYNTAX, 'on')])
-    topology.standalone.modify_s(container, [(ldap.MOD_REPLACE,
-                                              'passwordMinLength' , '9')])
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
+                                                 ATTR_INHERIT_GLOBAL, 'on')])
+    topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE,
+                                                 ATTR_CHECK_SYNTAX, 'on')])
+    topology_st.standalone.modify_s(container, [(ldap.MOD_REPLACE,
+                                                 'passwordMinLength', '9')])
 
     # Wait a second for cn=config to apply
     time.sleep(1)
-    check_attr_val(topology, CONFIG_DN, ATTR_INHERIT_GLOBAL, 'on')
-    check_attr_val(topology, CONFIG_DN, ATTR_CHECK_SYNTAX, 'on')
+    check_attr_val(topology_st, CONFIG_DN, ATTR_INHERIT_GLOBAL, 'on')
+    check_attr_val(topology_st, CONFIG_DN, ATTR_CHECK_SYNTAX, 'on')
 
     log.info('Bind as test user')
-    topology.standalone.simple_bind_s(BN, PASSWORD)
+    topology_st.standalone.simple_bind_s(BN, PASSWORD)
 
     log.info('Try to add user with a short password (<9)')
     with pytest.raises(ldap.CONSTRAINT_VIOLATION):
-        topology.standalone.add_s(Entry((TEMP_USER_DN.format('0'),
-                                         {'objectclass': ['top',
-                                                          'person',
-                                                          'organizationalPerson',
-                                                          'inetOrgPerson'],
-                                          'cn': TEMP_USER.format('0'),
-                                          'sn': TEMP_USER.format('0'),
-                                          'userPassword': 'short'})))
+        topology_st.standalone.add_s(Entry((TEMP_USER_DN.format('0'),
+                                            {'objectclass': ['top',
+                                                             'person',
+                                                             'organizationalPerson',
+                                                             'inetOrgPerson'],
+                                             'cn': TEMP_USER.format('0'),
+                                             'sn': TEMP_USER.format('0'),
+                                             'userPassword': 'short'})))
 
     log.info('Try to add user with a long password (>9)')
     try:
-        topology.standalone.add_s(Entry((TEMP_USER_DN.format('1'),
-                                         {'objectclass': ['top',
-                                                          'person',
-                                                          'organizationalPerson',
-                                                          'inetOrgPerson'],
-                                          'cn': TEMP_USER.format('1'),
-                                          'sn': TEMP_USER.format('1'),
-                                          'userPassword': 'Reallylong1'})))
+        topology_st.standalone.add_s(Entry((TEMP_USER_DN.format('1'),
+                                            {'objectclass': ['top',
+                                                             'person',
+                                                             'organizationalPerson',
+                                                             'inetOrgPerson'],
+                                             'cn': TEMP_USER.format('1'),
+                                             'sn': TEMP_USER.format('1'),
+                                             'userPassword': 'Reallylong1'})))
     except ldap.LDAPError as e:
         log.fatal('Failed to add cn=test1 with userPassword: short: '
                   + e.message['desc'])
         raise e
     finally:
         log.info('Bind as DM user')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
         log.info('Remove {}'.format(TEMP_USER_DN.format('0')))
         try:
-            topology.standalone.delete_s(TEMP_USER_DN.format('0'))
+            topology_st.standalone.delete_s(TEMP_USER_DN.format('0'))
         except ldap.NO_SUCH_OBJECT as e:
             log.info('There is no {}, it is okay'.format(TEMP_USER_DN.format('0')))
         try:
-            topology.standalone.delete_s(TEMP_USER_DN.format('1'))
+            topology_st.standalone.delete_s(TEMP_USER_DN.format('1'))
         except ldap.NO_SUCH_OBJECT as e:
             log.fatal('There is no {}, it is a problem'.format(TEMP_USER_DN.format('1')))
             raise e
diff --git a/dirsrvtests/tests/suites/password/pwdPolicy_syntax_test.py b/dirsrvtests/tests/suites/password/pwdPolicy_syntax_test.py
index aad4e40..6b513ee 100644
--- a/dirsrvtests/tests/suites/password/pwdPolicy_syntax_test.py
+++ b/dirsrvtests/tests/suites/password/pwdPolicy_syntax_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -19,70 +19,20 @@ from lib389.tasks import *
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
 
-DEBUGGING = False
-
 USER_DN = 'uid=user,ou=People,%s' % DEFAULT_SUFFIX
 
-if DEBUGGING:
-    logging.getLogger(__name__).setLevel(logging.DEBUG)
-else:
-    logging.getLogger(__name__).setLevel(logging.INFO)
-
-
+logging.getLogger(__name__).setLevel(logging.INFO)
 log = logging.getLogger(__name__)
 
 
-class TopologyStandalone(object):
-    """The DS Topology Class"""
-    def __init__(self, standalone):
-        """Init"""
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    """Create DS Deployment"""
-
-    # Creating standalone instance ...
-    if DEBUGGING:
-        standalone = DirSrv(verbose=True)
-    else:
-        standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        """If we are debugging just stop the instances, otherwise remove
-        them
-        """
-        if DEBUGGING:
-            standalone.stop()
-        else:
-            standalone.delete()
-
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
-
 def _create_user(inst):
     """Create the test user."""
     inst.add_s(Entry((
-                USER_DN, {
-                    'objectClass': 'top account simplesecurityobject'.split(),
-                     'uid': 'user',
-                     'userpassword': PASSWORD
-                })))
+        USER_DN, {
+            'objectClass': 'top account simplesecurityobject'.split(),
+            'uid': 'user',
+            'userpassword': PASSWORD
+        })))
 
 
 def setPolicy(inst, attr, value):
@@ -129,7 +79,7 @@ def resetPasswd(inst):
     # Now set the password
     try:
         inst.modify_s(USER_DN,
-            [(ldap.MOD_REPLACE, 'userpassword', PASSWORD)])
+                      [(ldap.MOD_REPLACE, 'userpassword', PASSWORD)])
     except ldap.LDAPError as e:
         log.fatal("Failed to reset user password: " + str(e))
         assert False
@@ -145,7 +95,7 @@ def tryPassword(inst, policy_attr, value, reset_value, pw_bad, pw_good, msg):
     setPolicy(inst, policy_attr, value)
     try:
         inst.modify_s(USER_DN,
-            [(ldap.MOD_REPLACE, 'userpassword', pw_bad)])
+                      [(ldap.MOD_REPLACE, 'userpassword', pw_bad)])
         log.fatal('Invalid password was unexpectedly accepted (%s)' %
                   (policy_attr))
         assert False
@@ -160,7 +110,7 @@ def tryPassword(inst, policy_attr, value, reset_value, pw_bad, pw_good, msg):
     # Change password that is allowed
     try:
         inst.modify_s(USER_DN,
-            [(ldap.MOD_REPLACE, 'userpassword', pw_good)])
+                      [(ldap.MOD_REPLACE, 'userpassword', pw_good)])
     except ldap.LDAPError as e:
         log.fatal("Failed to change password: " + str(e))
         assert False
@@ -170,46 +120,46 @@ def tryPassword(inst, policy_attr, value, reset_value, pw_bad, pw_good, msg):
     setPolicy(inst, policy_attr, reset_value)
 
 
-def test_pwdPolicy_syntax(topology):
+def test_pwdPolicy_syntax(topology_st):
     '''
     Password policy test: Ensure that on a password change, the policy syntax
     is enforced correctly.
     '''
 
     # Create a user
-    _create_user(topology.standalone)
+    _create_user(topology_st.standalone)
 
     # Set the password policy globally
-    topology.standalone.config.set('passwordCheckSyntax', 'on')
-    topology.standalone.config.set('nsslapd-pwpolicy-local', 'off')
-    topology.standalone.config.set('passwordMinCategories', '1')
+    topology_st.standalone.config.set('passwordCheckSyntax', 'on')
+    topology_st.standalone.config.set('nsslapd-pwpolicy-local', 'off')
+    topology_st.standalone.config.set('passwordMinCategories', '1')
 
     #
     # Test each syntax catagory
     #
 
     # Min Length
-    tryPassword(topology.standalone, 'passwordMinLength', 10, 2, 'passwd',
+    tryPassword(topology_st.standalone, 'passwordMinLength', 10, 2, 'passwd',
                 'password123', 'length too short')
     # Min Digit
-    tryPassword(topology.standalone, 'passwordMinDigits', 2, 0, 'passwd',
+    tryPassword(topology_st.standalone, 'passwordMinDigits', 2, 0, 'passwd',
                 'password123', 'does not contain minimum number of digits')
     # Min Alphas
-    tryPassword(topology.standalone, 'passwordMinAlphas', 2, 0, 'p123456789',
+    tryPassword(topology_st.standalone, 'passwordMinAlphas', 2, 0, 'p123456789',
                 'password123', 'does not contain minimum number of alphas')
     # Max Repeats
-    tryPassword(topology.standalone, 'passwordMaxRepeats', 2, 0, 'passsword',
+    tryPassword(topology_st.standalone, 'passwordMaxRepeats', 2, 0, 'passsword',
                 'pasword123', 'too many repeating characters')
     # Min Specials
-    tryPassword(topology.standalone, 'passwordMinSpecials', 2, 0, 'passwd',
+    tryPassword(topology_st.standalone, 'passwordMinSpecials', 2, 0, 'passwd',
                 'password_#$',
                 'does not contain minimum number of special characters')
     # Min Lowers
-    tryPassword(topology.standalone, 'passwordMinLowers', 2, 0, 'PASSWORD123',
+    tryPassword(topology_st.standalone, 'passwordMinLowers', 2, 0, 'PASSWORD123',
                 'password123',
                 'does not contain minimum number of lowercase characters')
     # Min Uppers
-    tryPassword(topology.standalone, 'passwordMinUppers', 2, 0, 'password',
+    tryPassword(topology_st.standalone, 'passwordMinUppers', 2, 0, 'password',
                 'PASSWORD',
                 'does not contain minimum number of lowercase characters')
     # Min 8-bits - "ldap" package only accepts ascii strings at the moment
